<?php
/*
Plugin Name: Maintenance Plugin by EasyToolsWP
Description: Displays a floating box on the front page with a blurred background and redirects all visitors to the front page.
Version: 1.0
Author: EasyToolsWP.com
Author URI: https://www.easytoolswp.com
*/

function maintenance_enqueue_scripts() {
    if (!is_user_logged_in() && !is_admin()) {
        // Enqueue CSS file
        wp_enqueue_style('maintenance-style', plugin_dir_url(__FILE__) . 'easytools-maintenance-plugin.css');

        // Enqueue JavaScript file
        wp_enqueue_script('maintenance-script', plugin_dir_url(__FILE__) . 'easytools-maintenance-plugin.js', array('jquery'), null, true);
    }
}
add_action('wp_enqueue_scripts', 'maintenance_enqueue_scripts');

function maintenance_display_box() {
    if (!is_user_logged_in() && !is_admin()) {
        ?>
        <div class="floating-box">
            <h2>This site is opening soon</h2>
            <p>Your additional text goes here.</p>
        </div>
        <div class="blur-background themecolor"></div>
        <?php
    }
}
add_action('wp_footer', 'maintenance_display_box');

function maintenance_redirect_function() {
    if (!is_user_logged_in() && !is_admin() && !is_front_page()) {
        wp_redirect(home_url());
        exit();
    }
}

add_action('wp', 'maintenance_redirect_function');
?>